import { ObservableCollection$1 } from "igniteui-react-core/ES2015/ObservableCollection$1";
import { FinancialChartRangeSelectorOption } from "./FinancialChartRangeSelectorOption";
import { IEnumerable$1, Type } from "igniteui-react-core/ES2015/type";
export declare class FinancialChartRangeSelectorOptionCollection extends ObservableCollection$1<FinancialChartRangeSelectorOption> {
    constructor(a: number);
    constructor(a: number, b: IEnumerable$1<FinancialChartRangeSelectorOption>);
    constructor(a: number, ..._rest: any[]);
    static $t: Type;
}
